Skip to main content
GET
/
addresses
List addresses
curl --request GET \
  --url https://api.equalsmoney.com/v2/addresses \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "office",
      "nickName": "office",
      "addressLine1": "Great Building",
      "addressLine2": "Four Maple Street",
      "addressLine3": "Southwark",
      "addressContact": "Brian May",
      "city": "string",
      "postcode": "SE13UB",
      "country": "England",
      "countryCode": "GB"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

The term to search the records for.

Maximum string length: 100
Example:

"Cesar+Treutel"

type
enum<string>

The type to filter addresses by. Use commas to pass multiple values. Has to be URL encoded.

Available options:
registered,
office
Example:

"registered,office"

format
enum<string>

The format to return the addresses in.

Available options:
iso20022

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required
limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100